%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Media Center
Name: elisa
Version: 0.3.2
Release: 1%{?dist}
# Elisa is GPLv2 and plugins are MIT.
# See the included COPYING file for the details.
License: GPLv2 and MIT
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source: http://elisa.fluendo.com/static/download/elisa/elisa-%{version}.tar.gz
Patch0: elisa-0.3.2-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Mandatory
Requires: python-setuptools
Requires: python-imaging
Requires: python-twisted-core
Requires: gnome-python2-extras
Requires: gstreamer-python
Requires: pigment >= 0.3.2
# For uPnP
Requires: python-Coherence
# For caching
Requires: python-sqlite2
Requires: python-tag
# Optional, but these are useful to get something useful out of elisa
Requires: gstreamer-plugins-good
#Requires: gstreamer-plugins-bad
#Requires: gstreamer-plugins-ugly
#Requires: gstreamer-ffmpeg
#Requires: libdvdcss
# For lirc
Requires: python-lirc
# For DAAP
Requires: python-daap
Requires: dbus-python
Requires: avahi-tools
# For iPod
Requires: python-gpod
# For weather
Requires: python-metar
# For the "official" default font ("MgOpen Cosmetica")
Requires: mgopen-fonts
# For the "build" itself, most of the above aren't required
BuildRequires: python-devel
BuildRequires: python-twisted-core
# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
Buildarch: noarch

%description
Media center solution using the GStreamer multimedia framework.


%prep
%setup -q
%patch0 -p1 -b .desktop
# Marked as executable, but they shouldn't be
%{__chmod} -x elisa/plugins/bad/stage6/{CONFIGURATION,plugin.conf}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install \
    --single-version-externally-managed \
    -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ* FIRST_RUN LICENSE* NEWS RELEASE docs/*.txt
%{_bindir}/elisa
%{_datadir}/applications/elisa.desktop
%{_datadir}/pixmaps/elisa.png
%{python_sitelib}/elisa/
%{python_sitelib}/elisa-*.egg-info/
%{python_sitelib}/external_plugins/


%changelog
* Tue Oct  9 2007 Matthias Saou <http://freshrpms.net/> 0.3.2-1
- Update to 0.3.2.
- Add new external_plugins python directory.

* Tue Sep  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-3
- Add requirement of mgopen-fonts (see upstream trac #571).

* Tue Aug 28 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 0.3.1-1
- Update to 0.3.1.
- Update License field.
- Update requirement to pigment >= 0.3.1.
- Remove no longer needed desktopentry and nobangpy patches.
- Update desktop patch.

* Wed May 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-4
- Patch desktop file to remove useless bits (Version and extra Categories).

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-3
- Change Coherence requirement to python-Coherence to match package name change.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-2
- Change coherence requirement to Coherence to match package name change.

* Fri May  4 2007 Matthias Saou <http://freshrpms.net/> 0.1.6-1
- Update to 0.1.6.

* Mon Apr 16 2007 Matthias Saou <http://freshrpms.net/> 0.1.5-1
- Update to 0.1.5.
- Disable gst requirements which aren't part of Fedora (oops!).
- Patch out the hash-bang python from scripts not meant to be executed.
- Rip out the root user test condition to installing the desktop entry.

* Fri Mar 23 2007 Matthias Saou <http://freshrpms.net/> 0.1.4.2-1
- Update to 0.1.4.2.

* Wed Feb 21 2007 Matthias Saou <http://freshrpms.net/> 0.1.4.1-1
- Update to 0.1.4.1.

* Thu Feb  8 2007 Matthias Saou <http://freshrpms.net/> 0.1.3-1
- Initial RPM release.

